#include "xdynentitydef.h"

XDynEntityDef::XDynEntityDef()
    : XAsset()
    , mType()
    , mPose()
    , mModelPtr(0)
    , mModel()
    , mBrushModel(0)
    , mPhysicsBrushModel(0)
    , mBestroyFxPtr(0)
    , mDestroyFx()
    , mDestroyPiecesPtr(0)
    , mDestroyPieces()
    , mPhysPresetPtr(0)
    , mPhysPreset()
    , mHealth(0)
    , mMass()
    , mContents(0)
{
    
}

XDynEntityDef::~XDynEntityDef()
{
    
}

void XDynEntityDef::ParseData(QDataStream *aStream)
{
    
}

void XDynEntityDef::Clear()
{
    
}
